{% set isAllowed = is_granted('ROLE_SERVICE_COMMITTEE') is same as true or is_granted('ROLE_TERRITORY') is same as true %}
{% set isDisabled = isAllowed ? false : true %}
{% extends 'base.html.twig' %}
{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{{ path('app_territory_areas_list') }}">Territoires</a>
    </li>
    <li class="breadcrumb-item active">
        <a href="#">{{ area.title }}</a>
    </li>
{% endblock %}
{% block header_title %}
    {{ area.title }}
{% endblock %}

{% block body %}
    <div class="col-12">
        <div class="row mb-2">
            {% for message in app.flashes('success') %}
                <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                    <em class="icon ni ni-check-circle-fill"></em>
                    {{ message }}
                </div>
            {% endfor %}
            {% if countDueTerritories > 1 %}
                <div class="alert alert-warning m-1">
                    <em class="ni ni-alert-fill"></em>
                    <strong>Rappel :</strong> {{ countDueTerritories }} territoires sortis sont arrivés à terme.
                </div>
                {% elseif countDueTerritories is same as 1 %}
                    <div class="alert alert-warning m-1">
                        <em class="ni ni-alert-fill"></em>
                        <strong>Rappel :</strong> {{ countDueTerritories }} territoire sorti est arrivé à terme.
                    </div>
            {% endif %}

        </div>
        {% if isAllowed %}
            <div class="row mb-4">
                <div class="col-lg-12 col-sm-12 col-12 col-xxl-12">
                    <div class="card card-bordered card-full">
                        <div class="card-inner">
                            <div class="card-title-group">
                                <div class="card-title">
                                    <h6 class="title"><span class="me-1">Territoires ({{ area.territories|length }})</span></h6>
                                </div>
                                <div class="search">
                                    <select class="js-select2 area-filter">
                                        <option value="all" {{ (app.request.query.get('filter') is same as 'all') ? 'selected' : '' }}>Tous les territoires</option>
                                        <option value="dues" {{ (app.request.query.get('filter') is same as 'dues') ? 'selected' : '' }}>À rendre</option>
                                        <option value="available" {{ (app.request.query.get('filter') is same as 'available') ? 'selected' : '' }}>Disponibles</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="card-inner p-0 border-top">
                            <div class="nk-tb-list nk-tb-orders">
                                <div class="nk-tb-item nk-tb-head">
                                    <div class="nk-tb-col tb-col"><span>#</span></div>
                                    <div class="nk-tb-col"><span>Dernière sortie</span></div>
                                    <div class="nk-tb-col"><span>Dernière entrée</span></div>
                                    <div class="nk-tb-col tb-col"><span>Dernier procl.</span></div>
                                    <div class="nk-tb-col tb-col"><span></span></div>
                                </div>

                                {% for territory in area.territories %}
                                    <div class="nk-tb-item">
                                        <div class="nk-tb-col">
                                            <div class="user-card">
                                                <div class="user-name">
                                                    <span class="tb-lead"><a href="{{ path('app_territory_show', {'territory': territory.id}) }}">{{ territory.area.title|slice(0, 3)|upper }}-{{ territory.title }}</a></span>
                                                </div>
                                            </div>
                                        </div>
                                        {% set lastIndex = territory.histories|length-1 %}

                                        {% if territory.histories|length > 0 %}
                                            <div class="nk-tb-col tb-col">
                                                {% if territory.histories[lastIndex].outDate|territoryDateValidation('4 months')|date('U') < "now"|date('U') and territory.histories[lastIndex].inDate is null %}
                                                    <span class="badge badge-dot bg-danger">{{ territory.histories[lastIndex].outDate|date('d/m/y') }}</span>
                                                    {% else %}
                                                        <span class="badge badge-dot bg-secondary">{{ territory.histories[lastIndex].outDate|date('d/m/y') }}</span>
                                                {% endif %}

                                            </div>
                                            <div class="nk-tb-col tb-col">
                                                {% if territory.histories[lastIndex].inDate is not null %}
                                                    {% if territory.histories[lastIndex].inDate|territoryDateValidation('6 months')|date('U') < "now"|date('U') %}
                                                        <span class="badge badge-dot bg-success">{{ territory.histories[lastIndex].inDate|date('d/m/y') }}</span>
                                                        {% else %}
                                                        <span class="badge badge-dot bg-secondary">{{ territory.histories[lastIndex].inDate|date('d/m/y') }}</span>
                                                    {% endif %}
                                                {% endif %}
                                            </div>
                                            <div class="nk-tb-col tb-col">
                                                <span class="tb-lead"><a href="{{ path('app_publisher_show', {'id': territory.histories[lastIndex].publisher.id }) }}">{{ territory.histories[lastIndex].publisher.fullName }}</a></span>
                                            </div>
                                            {% else %}
                                                <div class="nk-tb-col tb-col"></div>
                                                <div class="nk-tb-col tb-col"></div>
                                                <div class="nk-tb-col tb-col"></div>
                                        {% endif %}


                                        <div class="nk-tb-col nk-tb-col-action">
                                            <div class="dropdown">
                                                <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                                    <ul class="link-list-plain">
                                                        <li><a href="{{ path('app_territory_show', {'territory': territory.id}) }}">Ouvrir</a></li>
                                                        {% if is_granted('ROLE_ADMIN') is same as true %}
                                                            <li><a href="{{ path('app_territory_remove', {'territory': territory.id}) }}">Supprimer</a></li>
                                                        {% endif %}
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                {% endfor %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}

    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $(document).ready(function(){
            $('.area-filter').change(function (e){
                const uri = new URL('/territories/areas/show/{{ area.id }}', "{{ base_uri }}")
                location = uri + '?filter=' + e.target.value
            })
        })
    </script>
{% endblock %}
